Subject: bug#78163: closed (Re: r-s4arrays: Update to 0.46.0)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Apr 2025 13:13:02 +0000

Your bug report

#78163: r-s4arrays: Update to 0.46.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78163: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78163
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: r-s4arrays: Update to 0.46.0
From: Andreas Enge <[email-masked]>
To: Tor-björn Claesson <[email-masked]>
Cc: [email-masked], Ricardo Wurmus <[email-masked]>
Date: Wed, 30 Apr 2025 15:12:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

something went wrong with your patch submission, I only see one for
r-r-utils, but which is already at version 2.13.0 on master.

More generally, there is a new r-team branch; it might be useful to
try this out and see whether your packages are already updated there.

I am closing this bug report, please give it a new try!

If you manage to get "git send-email" working, an additional bonus would
be that the R team is cc-ed on your patches.

If not, when running "./etc/teams.scm cc r" you see a list of email
addresses that you could cc manually:
   --add-header="X-Debbugs-Cc: [email-masked], [email-masked], [email-masked]"

Andreas

Subject: r-s4arrays: Update to 0.46.0
From: Tor-björn Claesson <[email-masked]>
To: [email-masked]
Date: Wed, 30 Apr 2025 14:25:23 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

When building dependents of r-posterior (https://issues.guix.gnu.org/78105), it turns out
r-delayedmatrixstats fails. In order to fix this, we need to
update r-iranges, which in turn depends on an updated r-s4arrays.

This patch updates r-s4arrays from 0.44.0 to 0.46.0. I have built all
directly dependent packages successfully, except for
r-voltron, which has been failing on master since the 15/16:th of April. 

Thanks!
Tor-björn Claesson

>From 1e587ae4bc3886e0405fa03210fa7478eb90e980 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tor-bj=C3=B6rn=20Claesson?= <[email-masked]>
Date: Wed, 16 Apr 2025 14:51:29 +0300
Subject: [PATCH] gnu: r-r-utils: Update to 2.13.0.

2.12.3 failes in tests after the large r-updates merge, upgrading to
2.13.0 allows it to build again.

Change-Id: I2ceec2f270df040e6bdd1ad87e8dd673e29c3964
---
 gnu/packages/statistics.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/statistics.scm b/gnu/packages/statistics.scm
index 7d81619ca1..fb23142c02 100644
--- a/gnu/packages/statistics.scm
+++ b/gnu/packages/statistics.scm
@@ -1818,13 +1818,13 @@ (define-public r-r-oo
 (define-public r-r-utils
   (package
     (name "r-r-utils")
-    (version "2.12.3")
+    (version "2.13.0")
     (source (origin
               (method url-fetch)
               (uri (cran-uri "R.utils" version))
               (sha256
                (base32
-                "03640a1v8jk9k9s5xirdia9lngb53gh4p9gyj2j82cx2jmxfgmkl"))))
+                "09fg7f0z0zdxjndfwmcsyi2z54bp7xxcwdx0hpzji68j9v1l685b"))))
     (properties `((upstream-name . "R.utils")))
     (build-system r-build-system)
     (arguments
-- 
2.49.0